var crypto = require('crypto')
var util = require('util')

User = {
  create: function(username, password) {
    var _username = username
    var _profiles = {}
    var _password = ''

    if (password != undefined) {
      _password = crypto.createHash('sha256').update(password).digest('hex')
    } 
    
    var user = Object.create(User)
    user.username = _username
    user.password = _password
    user.profiles = _profiles
    
    return user
  },
  passwd: function(password) {
    var success = false
    if (password.length > 0) {
      hash = crypto.createHash('sha256').update(password).digest('hex')
      if (this.password != hash) {
        this.password = hash
        success = true
      }
    }
    return success
  },
  authenticate: function(password) {
    var success = false
    if (this.password) {
      if (this.password.length > 0) {
        success = this.password == crypto.createHash('sha256').update(password).digest('hex')
      }
    }
    return success
  },
  profile: function(name) {
    return this.profiles[name]
  }
}