var testCase = require('nodeunit').testCase

require('models/User.js')
require('utils/predicates/RegexPredicate.js')

var users = [ User.create('llun'), User.create('sample1'), User.create('xavier') ]

module.exports = testCase({
  // Test object methods
  test_predicate: function(test) {
    var predicate = new RegexPredicate('username', /^l(.*)$/)
    test.ok(predicate.test(users[0]))
    
    predicate = new RegexPredicate('username', /[0-9]/)
    test.ok(predicate.test(users[1]))
    test.ok(!predicate.test(users[0]))
    
    test.done()
  }
})