var util = require('util')

require('utils/predicates/Predicate.js')

AggregatePredicate = function(predicates) {
  Predicate.call(this)
  this.predicates = predicates
}

util.inherits(AggregatePredicate, Predicate)

AggregatePredicate.prototype = {
  test: function(object) {
    var test = false
    this.predicates.forEach(function(predicate) {
      test = test | predicate.test(object)
    })
    
    return test
  }
}