var util = require('util')

require('utils/predicates/Predicate.js')

RegexPredicate = function(key, pattern) {
  Predicate.call(this)
  this.key = key
  this.pattern = pattern
}

util.inherits(RegexPredicate, Predicate)

RegexPredicate.prototype = {
  test: function(object) {
    return this.pattern.test(object[this.key])
  }
}